# DebugErr
<span class="source-link">[[Source]](src/debug/debug.md#L20)</span>
```pony
primitive val DebugErr
```

## Constructors

### create
<span class="source-link">[[Source]](src/debug/debug.md#L20)</span>


```pony
new val create()
: DebugErr val^
```

#### Returns

* [DebugErr](debug-DebugErr) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/debug/debug.md#L22)</span>


```pony
fun box eq(
  that: DebugErr val)
: Bool val
```
#### Parameters

*   that: [DebugErr](debug-DebugErr) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/debug/debug.md#L22)</span>


```pony
fun box ne(
  that: DebugErr val)
: Bool val
```
#### Parameters

*   that: [DebugErr](debug-DebugErr) val

#### Returns

* [Bool](builtin-Bool) val

---

